# Uses of Class
it.tdlight.jni.TdApi.EmailAddressAuthentication

## Uses of TdApi.EmailAddressAuthentication in it.tdlight.jni

Subclasses of TdApi.EmailAddressAuthentication in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.EmailAddressAuthenticationAppleId`
An authentication token received through Apple ID.
`static final class`
`TdApi.EmailAddressAuthenticationCode`
An authentication code delivered to a user's email address.
`static final class`
`TdApi.EmailAddressAuthenticationGoogleId`
An authentication token received through Google ID.
Fields in it.tdlight.jni declared as TdApi.EmailAddressAuthentication
Modifier and Type
Field
Description
`TdApi.EmailAddressAuthentication`
TdApi.CheckAuthenticationEmailCode.`code`
Email address authentication to check.
`TdApi.EmailAddressAuthentication`
TdApi.CheckLoginEmailAddressCode.`code`
Email address authentication to check.
Constructors in it.tdlight.jni with parameters of type TdApi.EmailAddressAuthentication
Modifier
Constructor
Description
``
`CheckAuthenticationEmailCode(TdApi.EmailAddressAuthentication code)`
Checks the authentication of a email address.
``
`CheckLoginEmailAddressCode(TdApi.EmailAddressAuthentication code)`
Checks the login email address authentication.